package ink.wgink.properties;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: FileMaxDurationProperties
 * @Description: 媒体最大长度
 * @Author: WangGeng
 * @Date: 2020/5/31 16:49
 * @Version: 1.0
 **/
public class FileMediaBaseMaxDurationProperties {

    private Long video;
    private Long audio;

    public Long getVideo() {
        return video == null ? 0 : video;
    }

    public void setVideo(Long video) {
        this.video = video;
    }

    public Long getAudio() {
        return audio == null ? 0 : audio;
    }

    public void setAudio(Long audio) {
        this.audio = audio;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"video\":")
                .append(video);
        sb.append(",\"audio\":")
                .append(audio);
        sb.append('}');
        return sb.toString();
    }
}
